Make a clinic sheet
A sheet from one of your active exam forms, whose lines (as they are now) are its columns, for a day and up to 25 animals in the order given (an id sent twice is one row). Needs write on Animals.
POST
https://{organization}.rescueconsole.com
/
api
/
animals
/
clinic-sheets
Make a clinic sheet
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/clinic-sheets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"form_id": "6b3f7a1e-4c2d-4e8a-9f10-2a5c8d7e4b31",
"held_on": "2026-11-01",
"name": "Intake/med clinic",
"animal_ids": [
"b3e9a7c4-1f26-4d58-8e0b-5a4c2d7f9e63"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
form_id: '6b3f7a1e-4c2d-4e8a-9f10-2a5c8d7e4b31',
held_on: '2026-11-01',
name: 'Intake/med clinic',
animal_ids: ['b3e9a7c4-1f26-4d58-8e0b-5a4c2d7f9e63']
})
};
fetch('https://{organization}.rescueconsole.com/api/animals/clinic-sheets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/clinic-sheets"
payload = {
"form_id": "6b3f7a1e-4c2d-4e8a-9f10-2a5c8d7e4b31",
"held_on": "2026-11-01",
"name": "Intake/med clinic",
"animal_ids": ["b3e9a7c4-1f26-4d58-8e0b-5a4c2d7f9e63"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"sheet": {
"id": "<string>",
"form_id": "<string>",
"form_name": "<string>",
"lines": [
{}
],
"held_on": "2023-12-25",
"name": "<string>",
"place": "<string>",
"volunteers": "<string>",
"performed_in_house": true,
"veterinary_practice_id": "<string>",
"veterinarian_person_id": "<string>",
"performed_by_person_id": "<string>",
"animal_ids": [
"<string>"
],
"columns": {},
"entries": {},
"written": {},
"status": "open",
"recorded_at": "<string>",
"recording": true
},
"animals": [
{}
],
"costs": {}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Body
application/json
⌘I
Make a clinic sheet
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/clinic-sheets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"form_id": "6b3f7a1e-4c2d-4e8a-9f10-2a5c8d7e4b31",
"held_on": "2026-11-01",
"name": "Intake/med clinic",
"animal_ids": [
"b3e9a7c4-1f26-4d58-8e0b-5a4c2d7f9e63"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
form_id: '6b3f7a1e-4c2d-4e8a-9f10-2a5c8d7e4b31',
held_on: '2026-11-01',
name: 'Intake/med clinic',
animal_ids: ['b3e9a7c4-1f26-4d58-8e0b-5a4c2d7f9e63']
})
};
fetch('https://{organization}.rescueconsole.com/api/animals/clinic-sheets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/clinic-sheets"
payload = {
"form_id": "6b3f7a1e-4c2d-4e8a-9f10-2a5c8d7e4b31",
"held_on": "2026-11-01",
"name": "Intake/med clinic",
"animal_ids": ["b3e9a7c4-1f26-4d58-8e0b-5a4c2d7f9e63"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"sheet": {
"id": "<string>",
"form_id": "<string>",
"form_name": "<string>",
"lines": [
{}
],
"held_on": "2023-12-25",
"name": "<string>",
"place": "<string>",
"volunteers": "<string>",
"performed_in_house": true,
"veterinary_practice_id": "<string>",
"veterinarian_person_id": "<string>",
"performed_by_person_id": "<string>",
"animal_ids": [
"<string>"
],
"columns": {},
"entries": {},
"written": {},
"status": "open",
"recorded_at": "<string>",
"recording": true
},
"animals": [
{}
],
"costs": {}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
